## magit-forge-el 0.1.0+git20200714.639ce51

=== docs/Makefile ===
-include ../config.mk
include ../default.mk

docs: info html html-dir pdf

info: $(PKG).info dir
html: $(PKG).html
pdf:  $(PKG).pdf

ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
ORG_EVAL += --funcall org-texinfo-export-to-texinfo

# This target first bumps version strings in the Org source.  The
# necessary tools might be missing so other targets do not depend
# on this target and it has to be run explicitly when appropriate.
#
#   AMEND=t make texi    Update manual to be amended to HEAD.
#   VERSION=N make texi  Update manual for release.
#
.PHONY: texi
texi:
	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
	@printf "\n" >> $(PKG).texi
	@rm -f $(PKG).texi~

%.info: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --no-split $< -o $@

dir: $(PKG).info
	@printf "Generating $@\n"
	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@

HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
\n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
\n<script src="/assets/js/simple-css-switch.js"></script>'
HTML_FIXUP_ONLOAD = 's/<body lang="en">/<body lang="en" onload="simpleCssSwitch()">/'
HTML_FIXUP_MENU   = '/<\/body>/i<div id="s-css-s--menu"><\/div>'

%.html: %.texi
	@printf "Generating $@\n"
	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@

html-dir: $(PKG).texi
	@printf "Generating $(PKG)/*.html\n"
	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
	@for f in $$(find $(PKG) -name '*.html') ; do \
	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
	done

%.pdf: %.texi
	@printf "Generating $@\n"
	@texi2pdf --clean $< > /dev/null

DOMAIN         ?= magit.vc
PUBLISH_PATH   ?= /manual/
RELEASE_PATH   ?= /manual/$(VERSION)/

S3_BUCKET      ?= s3://$(DOMAIN)
PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)

CFRONT_DIST    ?= E2LUHBKU1FBV02
CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*

comma := ,
empty :=
space := $(empty) $(empty)

publish: html html-dir pdf
	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
	@aws s3 sync $(PKG)    $(PUBLISH_TARGET)$(PKG)/
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null

release: html html-dir pdf
	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/
	@aws s3 cp $(PUBLISH_TARGET)dir.html $(RELEASE_TARGET)dir.html
	@aws s3 cp $(PUBLISH_TARGET)dir/index.html $(RELEASE_TARGET)dir/index.html
	@printf "Generating CDN invalidation\n"
	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null

CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf

clean:
	@rm -rf $(CLEAN)

=== debian/changelog ===
magit-forge-el (0.1.0+git20200714.639ce51-3) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 28 Aug 2020 00:48:54 +0200

magit-forge-el (0.1.0+git20200714.639ce51-2) experimental; urgency=medium

  * debian/magit-forge-pkg.el: transient version bumped

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 15:08:33 +0200

magit-forge-el (0.1.0+git20200714.639ce51-1) experimental; urgency=low

  * Initial release (Closes: #926798)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 01 Aug 2020 20:55:39 +0200

=== debian/control ===
Source: magit-forge-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 elpa-closql,
 elpa-dash,
 elpa-ghub,
 elpa-magit,
 elpa-markdown-mode,
 elpa-transient (>= 0.2.0.30),
 elpa-treepy,
 elpa-with-editor,
 texinfo
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/magit/forge
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magit-forge
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 47.0)
Enhances: emacs, emacs25
Built-Using: ${misc:Built-Using}
Description: Work with Git forges from the comfort of Magit
 Work with Git forges, such as Github and Gitlab, from the
 comfort of Magit and the rest of Emacs.

=== debian/rules ===
#!/usr/bin/make -f

LPATH =  -L /usr/share/emacs/site-lisp/elpa-src/closql-1.0.4
LPATH += -L /usr/share/emacs/site-lisp/elpa-src/magit-2.99.0

%:
	dh $@ --with elpa

override_dh_auto_build:
	make LOAD_PATH=$(LPATH)

## magit-forge-el 0.2.1

=== debian/changelog ===
magit-forge-el (0.2.1-3) unstable; urgency=medium

  * debian/rules:
    - bump closql minimal version
    - bump magit minimal version

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Aug 2021 22:08:07 +0200

magit-forge-el (0.2.1-2) unstable; urgency=medium

  * debian/control:
    - bump to minimal versions for magit and transient
    - drop emacs25 from Enhances

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 23 Aug 2021 14:06:13 +0200

magit-forge-el (0.2.1-1) experimental; urgency=medium

  * New upstream release
  * debian/magit-forge-pkg.el: mandatory versions bumped

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 21:54:52 +0200

magit-forge-el (0.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 12 Jun 2021 19:01:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
  elpa-closql,
  elpa-dash,
  elpa-ghub,
- elpa-magit,
+ elpa-magit (>= 3.0.0),
  elpa-markdown-mode,
- elpa-transient (>= 0.2.0.30),
+ elpa-transient (>= 0.3.3),
  elpa-treepy,
  elpa-with-editor,
  texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
@@ -26,7 +26,7 @@
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
-Enhances: emacs, emacs25
+Enhances: emacs
 Built-Using: ${misc:Built-Using}
 Description: Work with Git forges from the comfort of Magit
  Work with Git forges, such as Github and Gitlab, from the

=== debian/rules ===
#!/usr/bin/make -f

LPATH =  -L /usr/share/emacs/site-lisp/elpa-src/closql-1.0.6
LPATH += -L /usr/share/emacs/site-lisp/elpa-src/magit-3.2.1

%:
	dh $@ --with elpa

override_dh_auto_build:
	make LOAD_PATH=$(LPATH)

## magit-forge-el 0.3.0

=== Makefile ===
-include config.mk
include default.mk

.PHONY: lisp docs clean

all: lisp docs

help:
	$(info make all          - generate lisp and manual)
	$(info make docs         - generate most manual formats)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make texi         - generate texi manual (see comments))
	$(info make info         - generate info manual)
	$(info make html         - generate html manual file)
	$(info make html-dir     - generate html manual directory)
	$(info make pdf          - generate pdf manual)
	$(info make stats        - generate statistics)
	$(info make publish      - publish snapshot manuals)
	$(info make release      - publish release manuals)
	$(info make clean        - remove most generated files)
	@printf "\n"

lisp:
	@$(MAKE) -C lisp lisp

docs:
	@$(MAKE) -C docs docs

texi:
	@$(MAKE) -C docs texi

info:
	@$(MAKE) -C docs info

html:
	@$(MAKE) -C docs html

html-dir:
	@$(MAKE) -C docs html-dir

pdf:
	@$(MAKE) -C docs pdf

stats:
	@$(MAKE) -C docs stats

publish:
	@$(MAKE) -C docs publish

release:
	@$(MAKE) VERSION=$(VERSION) -C docs release

clean:
	@printf "Cleaning...\n"
	@$(MAKE) -C lisp clean
	@$(MAKE) -C docs clean

=== docs/Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-extra -l ox-texinfo+.el
-ORG_EVAL  = --eval "(ox-extras-activate '(ignore-headlines))"
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-texinfo+.el
+ORG_EVAL  = --eval "(setq org-texinfo+-dissolve-noexport-headlines t)"
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
@@ -35,7 +35,8 @@
 	@printf "%s" $^ | xargs -n 1 $(INSTALL_INFO) --dir=$@
 
 HTML_FIXUP_CSS    = '/<link rel="stylesheet" type="text\/css" href="\/assets\/page.css">/a\
-<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
+<link rel="icon" href="/assets/magit_alt1.ico">\
+\n<link class="s-css-s--style" rel="stylesheet"           title="Default"               href="/assets/themes/default.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Default high contrast" href="/assets/themes/default-high-contrast.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Solarized dark xterm"  href="/assets/themes/solarized-dark-xterm.css">\
 \n<link class="s-css-s--style" rel="stylesheet alternate" title="Black on white"        href="/assets/themes/black-on-white.css">\
@@ -58,6 +59,11 @@
 %.pdf: %.texi
 	@printf "Generating $@\n"
 	@texi2pdf --clean $< > /dev/null
+
+.PHONY: stats
+stats:
+	@printf "Generating statistics\n"
+	@gitstats -c style=https://magit.vc/assets/stats.css -c max_authors=999 $(TOP) $(STATS_DIR)
 
 DOMAIN         ?= magit.vc
 PUBLISH_PATH   ?= /manual/

## magit-forge-el 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 -include config.mk
 include default.mk
 
-.PHONY: lisp docs clean
+.PHONY: lisp docs
 
 all: lisp docs
 
 help:
 	$(info make all          - generate lisp and manual)
+	$(info make lisp         - generate byte-code and autoloads)
 	$(info make docs         - generate most manual formats)
-	$(info make lisp         - generate byte-code and autoloads)
 	$(info make texi         - generate texi manual (see comments))
 	$(info make info         - generate info manual)
 	$(info make html         - generate html manual file)
@@ -25,32 +25,24 @@
 
 docs:
 	@$(MAKE) -C docs docs
-
 texi:
 	@$(MAKE) -C docs texi
-
 info:
 	@$(MAKE) -C docs info
-
 html:
 	@$(MAKE) -C docs html
-
 html-dir:
 	@$(MAKE) -C docs html-dir
-
 pdf:
 	@$(MAKE) -C docs pdf
-
 stats:
 	@$(MAKE) -C docs stats
 
 publish:
 	@$(MAKE) -C docs publish
-
 release:
 	@$(MAKE) VERSION=$(VERSION) -C docs release
 
 clean:
-	@printf "Cleaning...\n"
 	@$(MAKE) -C lisp clean
 	@$(MAKE) -C docs clean

=== docs/Makefile ===
--- 
+++ 
@@ -7,19 +7,11 @@
 html: $(PKG).html
 pdf:  $(PKG).pdf
 
-ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH) -l ox-texinfo+.el
-ORG_EVAL  = --eval "(setq org-texinfo+-dissolve-noexport-headlines t)"
+ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
 
-# This target first bumps version strings in the Org source.  The
-# necessary tools might be missing so other targets do not depend
-# on this target and it has to be run explicitly when appropriate.
-#
-#   AMEND=t make texi    Update manual to be amended to HEAD.
-#   VERSION=N make texi  Update manual for release.
-#
 .PHONY: texi
 texi:
 	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
@@ -63,17 +55,13 @@
 .PHONY: stats
 stats:
 	@printf "Generating statistics\n"
-	@gitstats -c style=https://magit.vc/assets/stats.css -c max_authors=999 $(TOP) $(STATS_DIR)
+	@gitstats $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)
 
-DOMAIN         ?= magit.vc
 PUBLISH_PATH   ?= /manual/
 RELEASE_PATH   ?= /manual/$(VERSION)/
-
 S3_BUCKET      ?= s3://$(DOMAIN)
 PUBLISH_TARGET  = $(S3_BUCKET)$(PUBLISH_PATH)
 RELEASE_TARGET  = $(S3_BUCKET)$(RELEASE_PATH)
-
-CFRONT_DIST    ?= E2LUHBKU1FBV02
 CFRONT_PATHS    = $(PKG).html $(PKG).pdf $(PKG)/*
 
 comma := ,
@@ -101,4 +89,5 @@
 CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf
 
 clean:
+	@printf "Cleaning docs/*...\n"
 	@rm -rf $(CLEAN)

=== debian/changelog ===
magit-forge-el (0.3.1-1ubuntu1) kinetic; urgency=medium

  * Fix debian/rules to not make assumptions about the build environment's
    apt cache; instead use dpkg to inspect the versions of actually-installed
    packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 20 Aug 2022 16:51:50 +0000

magit-forge-el (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/magit-forge-pkg.el: version bump
  * debian/control: drop Built-Using field
  * debian/copyright: extend copyright timestamps

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 26 Feb 2022 00:09:07 +0100

magit-forge-el (0.3.0-2) unstable; urgency=medium

  * Upload to unstable (Closes: #997518)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 11 Nov 2021 20:14:32 +0100

magit-forge-el (0.3.0-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: auto-figure out dependency versions
  * debian/magit-forge-pkg.el: min versions updated
  * debian/control: S-V bump 4.5.1 -> 4.6.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 17 Oct 2021 15:02:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: magit-forge-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -16,7 +17,7 @@
  elpa-with-editor,
  texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
@@ -27,7 +28,6 @@
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 47.0)
 Enhances: emacs
-Built-Using: ${misc:Built-Using}
 Description: Work with Git forges from the comfort of Magit
  Work with Git forges, such as Github and Gitlab, from the
  comfort of Magit and the rest of Emacs.

=== debian/rules ===
#!/usr/bin/make -f

CLOSQL_VER = $(shell dpkg -l elpa-closql | awk '/^ii/ { print $$3 }' | cut -f1 -d '-')
MAGIT_VER = $(shell dpkg -l elpa-magit | awk '/^ii/ { print $$3 }' | cut -f1 -d '-')

LPATH =  -L /usr/share/emacs/site-lisp/elpa-src/closql-$(CLOSQL_VER)
LPATH += -L /usr/share/emacs/site-lisp/elpa-src/magit-$(MAGIT_VER)

%:
	dh $@ --with elpa

override_dh_auto_build:
	make LOAD_PATH=$(LPATH)

## magit-forge-el 0.3.2

=== Makefile ===
--- 
+++ 
@@ -14,9 +14,10 @@
 	$(info make html         - generate html manual file)
 	$(info make html-dir     - generate html manual directory)
 	$(info make pdf          - generate pdf manual)
-	$(info make stats        - generate statistics)
 	$(info make publish      - publish snapshot manuals)
 	$(info make release      - publish release manuals)
+	$(info make stats        - generate statistics)
+	$(info make stats-upload - publish statistics)
 	$(info make clean        - remove most generated files)
 	@printf "\n"
 
@@ -35,14 +36,17 @@
 	@$(MAKE) -C docs html-dir
 pdf:
 	@$(MAKE) -C docs pdf
-stats:
-	@$(MAKE) -C docs stats
 
 publish:
 	@$(MAKE) -C docs publish
 release:
 	@$(MAKE) VERSION=$(VERSION) -C docs release
 
+stats:
+	@$(MAKE) -C docs stats
+stats-upload:
+	@$(MAKE) -C docs stats-upload
+
 clean:
 	@$(MAKE) -C lisp clean
 	@$(MAKE) -C docs clean

=== docs/Makefile ===
--- 
+++ 
@@ -52,11 +52,6 @@
 	@printf "Generating $@\n"
 	@texi2pdf --clean $< > /dev/null
 
-.PHONY: stats
-stats:
-	@printf "Generating statistics\n"
-	@gitstats $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)
-
 PUBLISH_PATH   ?= /manual/
 RELEASE_PATH   ?= /manual/$(VERSION)/
 S3_BUCKET      ?= s3://$(DOMAIN)
@@ -86,7 +81,21 @@
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(RELEASE_PATH),$(CFRONT_PATHS)))" > /dev/null
 
-CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf
+.PHONY: stats
+stats:
+	@printf "Generating statistics\n"
+	@$(GITSTATS) $(GITSTATS_ARGS) $(TOP) $(GITSTATS_DIR)
+
+stats-upload:
+	@printf "Uploading statistics...\n"
+	@aws s3 sync $(GITSTATS_DIR) $(S3_BUCKET)/stats/$(PKG)
+	@printf "Uploaded to $(S3_BUCKET)/stats/$(PKG)\n"
+	@printf "Generating CDN invalidation\n"
+	@aws cloudfront create-invalidation \
+	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null
+
+
+CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf @(GITSTATS_DIR)
 
 clean:
 	@printf "Cleaning docs/*...\n"

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

$(PKG)-db.elc:
$(PKG)-core.elc:      $(PKG)-db.elc
$(PKG).elc:           $(PKG)-core.elc
$(PKG)-repo.elc:      $(PKG).elc
$(PKG)-post.elc:      $(PKG).elc
$(PKG)-topic.elc:     $(PKG)-post.elc
$(PKG)-issue.elc:     $(PKG)-topic.elc
$(PKG)-pullreq.elc:   $(PKG)-topic.elc
$(PKG)-revnote.elc:   $(PKG)-topic.elc
$(PKG)-notify.elc:    $(PKG).elc
$(PKG)-github.elc:    $(PKG)-topic.elc $(PKG)-pullreq.elc
$(PKG)-gitlab.elc:    $(PKG)-topic.elc $(PKG)-pullreq.elc
$(PKG)-gitea.elc:     $(PKG).elc
$(PKG)-gogs.elc:      $(PKG).elc
$(PKG)-bitbucket.elc: $(PKG).elc
$(PKG)-semi.elc:      $(PKG).elc
$(PKG)-commands.elc:  $(PKG).elc
$(PKG)-list.elc:      $(PKG).elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf "Cleaning lisp/*...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

=== debian/changelog ===
magit-forge-el (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: override_dh_auto_clean directive added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 21 Jan 2023 15:34:00 +0100

magit-forge-el (0.3.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * debian/rules: vars set via dpkg
    instead of apt-cache (Closes: #1017796)

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.6.0 -> 4.6.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 20 Aug 2022 21:56:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: magit-forge-el
 Section: lisp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -17,7 +16,7 @@
  elpa-with-editor,
  texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,5 @@
 
 override_dh_auto_build:
 	make LOAD_PATH=$(LPATH)
+
+override_dh_auto_clean:

## magit-forge-el 0.3.2+git20231227.1.299bbaa

=== docs/Makefile ===
--- 
+++ 
@@ -14,9 +14,8 @@
 
 .PHONY: texi
 texi:
+	@printf "Generating $(PKG).texi\n"
 	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
-	@printf "\n" >> $(PKG).texi
-	@rm -f $(PKG).texi~
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -43,7 +42,7 @@
 
 html-dir: $(PKG).texi
 	@printf "Generating $(PKG)/*.html\n"
-	@$(MAKEINFO) --html $(MANUAL_HTML_ARGS) $<
+	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
 	@for f in $$(find $(PKG) -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
 	done
@@ -95,8 +94,8 @@
 	--distribution-id $(CFRONT_DIST) --paths "/stats/*" > /dev/null
 
 
-CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf @(GITSTATS_DIR)
+CLEAN = $(PKG).info dir $(PKG) $(PKG).html $(PKG).pdf $(GITSTATS_DIR)
 
 clean:
-	@printf "Cleaning docs/*...\n"
+	@printf " Cleaning docs/*...\n"
 	@rm -rf $(CLEAN)

=== lisp/Makefile ===
-include ../config.mk
include ../default.mk

lisp: $(ELCS) loaddefs check-declare

loaddefs: $(PKG)-autoloads.el

$(PKG)-db.elc:
$(PKG)-core.elc:      $(PKG)-db.elc
$(PKG).elc:           $(PKG)-core.elc
$(PKG)-repo.elc:      $(PKG).elc
$(PKG)-post.elc:      $(PKG).elc
$(PKG)-topic.elc:     $(PKG)-post.elc
$(PKG)-issue.elc:     $(PKG)-topic.elc
$(PKG)-pullreq.elc:   $(PKG)-topic.elc
$(PKG)-revnote.elc:   $(PKG)-topic.elc
$(PKG)-notify.elc:    $(PKG).elc
$(PKG)-github.elc:    $(PKG)-topic.elc $(PKG)-pullreq.elc
$(PKG)-gitlab.elc:    $(PKG)-topic.elc $(PKG)-pullreq.elc
$(PKG)-gitea.elc:     $(PKG).elc
$(PKG)-gogs.elc:      $(PKG).elc
$(PKG)-bitbucket.elc: $(PKG).elc
$(PKG)-semi.elc:      $(PKG).elc
$(PKG)-commands.elc:  $(PKG).elc
$(PKG)-list.elc:      $(PKG).elc

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

check-declare:
	@printf " Checking function declarations\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) \
	--eval "(check-declare-directory default-directory)"

CLEAN = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf " Cleaning lisp/*...\n"
	@rm -rf $(CLEAN)

$(PKG)-autoloads.el: $(ELS)
	@printf " Creating $@\n"
	@$(EMACS) -Q --batch -l autoload -l cl-lib --eval "\
(let ((file (expand-file-name \"$@\"))\
      (autoload-timestamps nil) \
      (backup-inhibited t)\
      (version-control 'never)\
      (coding-system-for-write 'utf-8-emacs-unix))\
  (write-region (autoload-rubric file \"package\" nil) nil file nil 'silent)\
  (cl-letf (((symbol-function 'progress-reporter-do-update) (lambda (&rest _)))\
            ((symbol-function 'progress-reporter-done) (lambda (_))))\
    (let ((generated-autoload-file file))\
      (update-directory-autoloads default-directory))))" \
	2>&1 | sed "/^Package autoload is deprecated$$/d"

=== debian/changelog ===
magit-forge-el (0.3.2+git20231227.1.299bbaa-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:39:11 +0900

magit-forge-el (0.3.2+git20231227.1.299bbaa-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Drop d/p/backport-fix-typo.patch (not needed anymore).
  * d/docs: Replace README.md with README.org.
  * Update d/magit-forge-pkg.el from upstream (adapt dependency format).
  * d/control:
    - Remove unnecessary Build-Depends.
    - Specify elpa-magit-forge dependencies manually (upstream dependency
      format unusable by dh-elpa).
    - Remove redundant version on Recommends.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 01 Jan 2024 22:29:34 +0100

magit-forge-el (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Simplify debian/rules.
  * Improve documentation packaging.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sat, 23 Dec 2023 09:48:11 +0100

=== debian/control ===
Source: magit-forge-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 texinfo,
 texlive-latex-base,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/magit/forge
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magit-forge
Architecture: all
Recommends: emacs
Depends:
 elpa-compat (>= 29.1.4.1),
 elpa-closql (>= 1.2.1+git20230407),
 elpa-dash (>= 2.19.1),
 elpa-emacsql-sqlite (>= 3.1.1+git20230409),
 elpa-ghub (>= 3.6.0),
 elpa-magit (>= 3.3.0+git20230319),
 elpa-markdown-mode (>= 2.4),
 elpa-seq (>= 2.24),
 elpa-yaml (>= 0.5.2),
 emacs-common (>= 1:27.1+1) | elpa-let-alist (>= 1.0.6),
 emacs-common (>= 1:29.1+1) | elpa-transient (>= 0.4.0),
 ${misc:Depends}
Enhances: emacs
Description: Work with Git forges from the comfort of Magit
 Work with Git forges, such as Github and Gitlab, from the
 comfort of Magit and the rest of Emacs.

## magit-forge-el 0.4.4

=== debian/changelog ===
magit-forge-el (0.4.4-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - S-V bump 4.6.2 -> 4.7.0 (no changes needed)
    - drop explicit deps brought in by dh-elpa
  * debian/magit-forge-pkg.el: bump upstream min versions

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 03 Nov 2024 09:08:18 +0100

## magit-forge-el 0.4.5

=== debian/changelog ===
magit-forge-el (0.4.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.7.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2025/02/msg00192.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 15:13:28 +0800

magit-forge-el (0.4.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1017796, #1068042)
  * debian/magit-forge-pkg.el: bump min versions for deps

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 29 Dec 2024 14:42:36 +0100

=== debian/control ===
Source: magit-forge-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 texinfo,
 texlive-latex-base
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/magit/forge
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-magit-forge
Architecture: all
Recommends: emacs
Depends:
 ${elpa:Depends},
 ${misc:Depends}
Enhances: emacs
Description: Work with Git forges from the comfort of Magit
 Work with Git forges, such as Github and Gitlab, from the
 comfort of Magit and the rest of Emacs.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/magit-forge-el-$1\.tar\.gz/ \
https://github.com/magit/forge/tags .*/v?(\d\S+)\.tar\.gz

## magit-forge-el 0.5.0

=== docs/Makefile ===
--- 
+++ 
@@ -1,21 +1,30 @@
 -include ../config.mk
 include ../default.mk
 
-docs: info html html-dir pdf
+docs: texi info html html-dir pdf
 
-info: $(PKG).info dir
-html: $(PKG).html
-pdf:  $(PKG).pdf
+texi:     $(PKG).texi
+info:     $(PKG).info dir
+html:     $(PKG).html
+html-dir: $(PKG)/index.html
+pdf:      $(PKG).pdf
 
 ORG_ARGS  = --batch -Q $(ORG_LOAD_PATH)
 ORG_EVAL += --eval "(setq indent-tabs-mode nil)"
 ORG_EVAL += --eval "(setq org-src-preserve-indentation nil)"
 ORG_EVAL += --funcall org-texinfo-export-to-texinfo
 
-.PHONY: texi
-texi:
-	@printf "Generating $(PKG).texi\n"
-	@$(EMACS) $(ORG_ARGS) $(PKG).org $(ORG_EVAL)
+redo-docs:
+	@touch $(PKG).org
+	@make docs
+
+.revdesc: ;
+_    := $(shell test "$(REVDESC)" = "$$(cat .revdesc 2> /dev/null)" ||\
+        echo "$(REVDESC)" > .revdesc)
+
+%.texi: %.org .orgconfig .revdesc
+	@printf "Generating $@\n"
+	@$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL)
 
 %.info: %.texi
 	@printf "Generating $@\n"
@@ -40,8 +49,9 @@
 	@$(MAKEINFO) --html --no-split $(MANUAL_HTML_ARGS) $<
 	@sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $@
 
-html-dir: $(PKG).texi
+%/index.html: %.texi
 	@printf "Generating $(PKG)/*.html\n"
+	@rm -rf $(PKG)
 	@$(MAKEINFO) --html -o $(PKG)/ $(MANUAL_HTML_ARGS) $<
 	@for f in $$(find $(PKG) -name '*.html') ; do \
 	sed -i -e $(HTML_FIXUP_CSS) -e $(HTML_FIXUP_ONLOAD) -e $(HTML_FIXUP_MENU) $$f ; \
@@ -62,7 +72,7 @@
 empty :=
 space := $(empty) $(empty)
 
-publish: html html-dir pdf
+publish: redo-docs
 	@aws s3 cp $(PKG).html $(PUBLISH_TARGET)
 	@aws s3 cp $(PKG).pdf  $(PUBLISH_TARGET)
 	@aws s3 sync $(PKG)    $(PUBLISH_TARGET)$(PKG)/
@@ -70,7 +80,7 @@
 	@aws cloudfront create-invalidation --distribution-id $(CFRONT_DIST) --paths \
 	"$(subst $(space),$(comma),$(addprefix $(PUBLISH_PATH),$(CFRONT_PATHS)))" > /dev/null
 
-release: html html-dir pdf
+release: redo-docs
 	@aws s3 cp $(PKG).html $(RELEASE_TARGET)
 	@aws s3 cp $(PKG).pdf  $(RELEASE_TARGET)
 	@aws s3 sync $(PKG)    $(RELEASE_TARGET)$(PKG)/

=== lisp/Makefile ===
--- 
+++ 
@@ -23,6 +23,8 @@
 $(PKG)-semi.elc:      $(PKG).elc
 $(PKG)-commands.elc:  $(PKG).elc
 $(PKG)-list.elc:      $(PKG).elc
+$(PKG)-topics.elc:    $(PKG)-tablist.elc
+$(PKG)-repos.elc:     $(PKG)-tablist.elc
 
 %.elc: %.el
 	@printf "Compiling $<\n"

=== debian/changelog ===
magit-forge-el (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/magit-forge-pkg.el : let dh-elpa generate it.
  * elpa : remove unneeded file references.
  * d/control : Bump Standards-Version to 4.7.2 (no changes needed).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 28 Apr 2025 10:47:40 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  texinfo,
  texlive-latex-base
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit-forge-el.git

=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=forge
export ELPA_NAME

%:
	dh $@ --with elpa

override_dh_auto_build:
	make docs

## magit-forge-el 0.6.2

=== debian/changelog ===
magit-forge-el (0.6.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control: RRR removal (obsolete)
  * debian/watch: v4 -> v5 switch

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Dec 2025 14:23:14 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  dh-elpa,
  texinfo,
  texlive-latex-base
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/magit/forge
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit-forge-el

=== debian/watch ===
Version: 5
Template: Github
Owner: magit
Project: forge
